<div *ngFor= 'let checklist of checkListDetails'><br>
    Name: {{ checklist.name }} 

    <div *ngFor= 'let checkItem of checklist.checkItems'>
        <input type="checkbox" [checked]="checkedFunction(checkItem.state)" click= "toggleCheckItem(cardId, idCheckItem, state)"/>
        {{ checkItem.name }} {{ checkItem.state }}
        <button>X</button>
        <button>edit</button>
        <!-- toggleCheckItem(cardId, idCheckItem, state) -->
    </div><br>
    <div>
        <input #newCheckItemInput type="text" placeholder="add checklist">
        <button (click)="inputNewCheckItem(newCheckItemInput.value); postCheckItems(checklist.id); newCheckItemInput.value= ''">add</button>
    </div><br>
</div>